graph.followerarraygraph

## Class FollowerArrayUndirectedGraph

- java.lang.Object
- - graph.followerarraygraph.FollowerArrayGraph
  - - graph.followerarraygraph.FollowerArrayDirectedGraph
    - - graph.followerarraygraph.FollowerArrayUndirectedGraph

- All Implemented Interfaces:
    DirectedGraph, Graph, UndirectedGraph

      class FollowerArrayUndirectedGraph
      extends FollowerArrayDirectedGraph
      implements UndirectedGraph

  Implementace grafu.

  Popis: implementace neorientovaného grafu polem následovníků

  Užití: V aplikacích lze tvořit instance grafu.

- - ### Field Summary

    - ### Fields inherited from class graph.followerarraygraph.FollowerArrayGraph

      `currEdgeIx, currVertexIx, edgeCount, edges, vertCount, vertices`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FollowerArrayUndirectedGraph(int vertNr, int edgeNr)` Vyrobí instanci třídy FollowerArrayUndirectedGraph.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEdge(GraphVertex aStart, GraphVertex aTarget, GraphEdge anEdge)` Přidá hranu do grafu.
    `GraphEdge` | `MoveFirstForwardEdge()` Učiní první dopředný duplikát neorientované hrany hranou běžnou.
    `GraphEdge` | `MoveNextForwardEdge()` Učiní další dopředný duplikát neorientované hrany hranou běžnou.

    - ### Methods inherited from class graph.followerarraygraph.FollowerArrayDirectedGraph

      `addUnidirectionalEdge`

    - ### Methods inherited from class graph.followerarraygraph.FollowerArrayGraph

      `addVertex, getEdge, getEdgeCount, getTotalEdgeCount, getVertex, getVertex, getVertexCount, isLastEdge, isLastVertex, isValidEdge, isValidVertex, latch, moveFirstEdge, moveFirstVertex, moveNextEdge, moveNextVertex, restore, select, setEdge, setVertex, traverse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface graph.graphinterface.Graph

      `addVertex, getEdge, getEdgeCount, getTotalEdgeCount, getVertex, getVertex, getVertexCount, isLastEdge, isLastVertex, isValidEdge, isValidVertex, latch, moveFirstEdge, moveFirstVertex, moveNextEdge, moveNextVertex, restore, select, setEdge, setVertex, traverse`

- - ### Constructor Detail

    - #### FollowerArrayUndirectedGraph

          public FollowerArrayUndirectedGraph(int vertNr,
                                              int edgeNr)

      Vyrobí instanci třídy FollowerArrayUndirectedGraph.
      Parameters:
        `vertNr` - maximální možný počet vrcholů v grafu
        `edgeNr` - maximální možný počet hran v grafu

  - ### Method Detail

    - #### addEdge

          public void addEdge(GraphVertex aStart,
                              GraphVertex aTarget,
                              GraphEdge anEdge)

      Description copied from interface: `Graph`
      Přidá hranu do grafu.
      Specified by:
        `addEdge` in interface `Graph`
      Overrides:
        `addEdge` in class `FollowerArrayDirectedGraph`
      Parameters:
        `aStart` - výchzí vrchol hrany
        `aTarget` - cílový vrchol hrany
        `anEdge` - hrana, která má být přidána

    - #### MoveFirstForwardEdge

          public GraphEdge MoveFirstForwardEdge()

      Description copied from interface: `UndirectedGraph`
      Učiní první dopředný duplikát neorientované hrany hranou běžnou. Zpětné duplikáty ignoruje.
      Specified by:
        `MoveFirstForwardEdge` in interface `UndirectedGraph`
      Returns:
        první dopředný duplikát neorientované hrany nebo null

    - #### MoveNextForwardEdge

          public GraphEdge MoveNextForwardEdge()

      Description copied from interface: `UndirectedGraph`
      Učiní další dopředný duplikát neorientované hrany hranou běžnou. Zpětné duplikáty ignoruje.
      Specified by:
        `MoveNextForwardEdge` in interface `UndirectedGraph`
      Returns:
        další dopředný duplikát neorientované hrany nebo null